Admiral

Jobs

Read a job's log

GET
/v1/jobs/{job_id}/log

Scope: agent:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

job_id*job_id

The job_id path parameter.

Match^job-[0-9a-z]+$

Query Parameters

offset?offset

Read from here, in bytes. 0 reads from the start.

Formatint64
Range0 <= value
max_bytes?max_bytes

Return at most this many bytes. Defaults to 1 MiB when 0.

Formatint32
Range0 <= value <= 4194304

Response Body

application/json

curl -X GET "https://example.com/v1/jobs/string/log"
{  "chunk": "string",  "next_offset": "string",  "complete": true,  "truncated": true}